=== debian/control ===
Source: ngspice
Section: non-free/electronics
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 8), automake, libtool, libxaw7-dev, flex,
 bison, gfortran, libeditline-dev, libncurses5-dev,
 lyx, elyxer, texinfo, texlive, texlive-latex-extra, texlive-lang-greek, imagemagick,
 tcl8.4-dev, tcl8.4, tk8.4-dev, tk8.4, blt-dev
Standards-Version: 3.9.2
Homepage: http://ngspice.sourceforge.net
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/ng-spice-rework/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/ng-spice-rework/trunk
DM-Upload-Allowed: yes
XS-Autobuild: yes

Package: ngspice
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Description: Spice circuit simulator
 NGspice is a mixed-level/mixed-signal circuit simulator.
 Its code is based on three open source software packages:
 Spice3f5, Cider1b1 and Xspice.
 .
 NGspice is part of gEDA project, a full GPL'd suite of 
 Electronic Design Automation tools.

Package: tclspice-dev
Section: non-free/libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tclspice, blt-dev, tcl8.4-dev, tk8.4-dev
Description: NGspice library for Tcl, development files
 TclSpice brings NGspice simulation engine into your Tcl-scripts.
 It includes XSpice. GUI is handled by Tk using BLT vectors.
 .
 This package contains the development files for TclSpice.

Package: tclspice
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, blt, tcl8.4, tk8.4
Description: NGspice library for Tcl
 TclSpice brings NGspice simulation engine into your Tcl-scripts.
 All spice directives are available as Tcl functions and it features
 some new commands that are useful for the integration into the Tcl
 environment. It includes XSpice. 
 GUI is handled by Tk using BLT vectors.

Package: ngspice-doc
Section: non-free/doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Documentation for the NGspice circuit simulator
 NGspice is a mixed-level/mixed-signal circuit simulator.
 Its code is based on three open source software packages:
 Spice3f5, Cider1b1 and Xspice.
 .
 NGspice is part of gEDA project, a full GPL'd suite of 
 Electronic Design Automation tools.
 .
 This package contains the html, postscript and pdf documentation.
