## ngspice 24

=== debian/changelog ===
ngspice (24-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.9.3
  * Move /usr/lib/spice to /usr/lib/ngspice
    and /usr/lib/tcltk to /usr/lib/tcltk/ngspice
    reflecting changes in upstream
  * Move install of tclspice prior to ngspice, both will install spinit but
    the one from ngspice is the correct.
  * Add tclspice binary dependency on ngspice
  * Remove patch 02_fix_spelling.patch. Fixed in upstream
  * Refreshed patch 01_fix_manpages
  * Create patch 02_fix_tcl_examples
  * Exclude .tcl and .cir files in examples from compression
  * Change configure parameters
  * Change readline dependency to libedit-dev
  * Make tcl examples executable
  * Add src/xspice/examples to ngspice examples
  * Remove tclspice-dev package and move content to tclspice
    Add Break and Replaces on tclspice-dev
  * Started making copyright file machine readable
  * Make tclspice examples executable
  * Add manpage for cmpp, ngmakeidx and  ngproc2mod
  * Remove examples/TransImpedanceAmp and exampless/tclspice\tcl-testbench3
    because of incompatiple licenses
  * Add install-indep/arch stansas to rules file
  * Add dependency on texlive-generic-recommended
  * Add Build-Depends-Indep to control file

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Mon, 04 Jun 2012 22:34:18 +0000
