=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>,
  Andreas Tille <tille@debian.org>
 Build-Depends: debhelper (>= 8), automake, libtool, libxaw7-dev, flex,
- bison, gfortran, libeditline-dev, libncurses5-dev,
- lyx, elyxer, texinfo, texlive, texlive-latex-extra, texlive-lang-greek, imagemagick,
- tcl8.4-dev, tcl8.4, tk8.4-dev, tk8.4, blt-dev
-Standards-Version: 3.9.2
+ bison, gfortran, libedit-dev, libncurses5-dev,
+ texinfo, tcl8.4-dev, tcl8.4, tk8.4-dev, tk8.4, blt-dev
+Build-Depends-Indep: lyx, elyxer, texlive, texlive-latex-extra, texlive-lang-greek,
+ texlive-generic-recommended, imagemagick
+Standards-Version: 3.9.3
 Homepage: http://ngspice.sourceforge.net
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/ng-spice-rework/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/ng-spice-rework/trunk
@@ -26,19 +27,11 @@
  NGspice is part of gEDA project, a full GPL'd suite of 
  Electronic Design Automation tools.
 
-Package: tclspice-dev
-Section: non-free/libdevel
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, tclspice, blt-dev, tcl8.4-dev, tk8.4-dev
-Description: NGspice library for Tcl, development files
- TclSpice brings NGspice simulation engine into your Tcl-scripts.
- It includes XSpice. GUI is handled by Tk using BLT vectors.
- .
- This package contains the development files for TclSpice.
-
 Package: tclspice
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, blt, tcl8.4, tk8.4
+Depends: ${shlibs:Depends}, ${misc:Depends}, ngspice, blt, tcl8.4, tk8.4
+Replaces: tclspice-dev
+Breaks: tclspice-dev
 Description: NGspice library for Tcl
  TclSpice brings NGspice simulation engine into your Tcl-scripts.
  All spice directives are available as Tcl functions and it features
