=== debian/rules ===
--- 
+++ 
@@ -38,15 +38,10 @@
 		--prefix=/usr \
 		--mandir=\$${prefix}/share/man \
 		--enable-maintainer-mode \
-		--enable-capzerobypass \
-		--enable-intnoise \
+		--with-editline=yes \
 		--enable-xspice \
 		--enable-cider \
-		--disable-xgraph \
-		--enable-debug \
-		--enable-numparam=yes \
-		--enable-dot-global \
-		enable_adms=no \
+		--disable-debug \
 		CFLAGS="$(CFLAGS)")
 	#LDFLAGS="-Wl,-z,defs")
 	# Configure tclspice
@@ -57,14 +52,10 @@
 		--libdir=/usr/lib/tcltk \
 		--enable-shared=yes \
 		--enable-maintainer-mode \
-		--enable-capzerobypass \
-		--enable-intnoise \
+		--with-editline=no \
 		--enable-xspice \
 		--enable-cider \
-		--disable-xgraph \
-		--enable-debug \
-		--enable-numparam=yes \
-		--enable-dot-global \
+		--disable-debug \
 		--disable-x \
 		--with-tcl=/usr/lib/tcl8.4 \
 		CFLAGS="$(CFLAGS)")
@@ -76,13 +67,13 @@
 	dh_testdir
 	cd build/ngspice && $(MAKE)
 	cd build/tclspice && $(MAKE)
+	touch $@
 
 build-indep: config.status
 	# Build documentation
 	dh_testdir
 	cd build/manual && lyx --export ps manual.lyx 
 	cd build/manual && lyx --export html manual.lyx 
-
 	touch $@
 
 clean:
@@ -95,26 +86,31 @@
 	rm -f src/frontend/parse-bison.h
 	rm -f config.guess
 	rm -f config.sub
+	rm -f *-indep *-arch
 	dh_clean 
 
-install: build
+install-arch: build-arch
 	dh_testdir
 	dh_testroot
 	dh_prep
 	dh_installdirs
 
 	# Make ngspice and tclspice
+	# tclspice must be installed prior to ngspice. Some files will be overwritten by ngspice
+	# but the ngspice are the correct ones.
+	cd build/tclspice && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install 
 	cd build/ngspice && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
-	cd build/tclspice && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
 	# The code model files must be stripped
 ifneq ("nostrip","$(findstring nostrip,$(DEB_BUILD_OPTIONS))")
-	strip $(CURDIR)/debian/tmp/usr/lib/spice/*.cm
-	strip $(CURDIR)/debian/tmp/usr/lib/tcltk/spice/*.cm
+	strip $(CURDIR)/debian/tmp/usr/lib/ngspice/*.cm
+	strip $(CURDIR)/debian/tmp/usr/lib/tcltk/ngspice/*.cm
 endif
 
 	# Remove empty dirs:
 	find $(CURDIR)/debian/tclspice -type d -empty -delete
+	touch $@
 
+install-indep: build-indep
 	# Documentation for ngspice, the same as for tclspice
 	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/ngspice-doc/html
 	cp -a build/manual/manual.html.LyXconv/* \
@@ -123,18 +119,25 @@
 		$(CURDIR)/debian/tmp/usr/share/doc/ngspice-doc/ngspice.ps
 	# Removing /usr/share/info directory
 	rm -rf $(CURDIR)/debian/tmp/usr/share/info
+	chmod a-x $(CURDIR)/build/tclspice/examples/tclspice/*/*.tcl
+	chmod a+x $(CURDIR)/build/tclspice/examples/tclspice/tcl-testbench*/tcl-testbench*.tcl \
+		$(CURDIR)/build/tclspice/examples/tclspice/tcl/test_vectoblt.tcl
+	mkdir -p build/ngspice/examples/xspice1/
+	cp -a src/xspice/examples/* build/ngspice/examples/xspice1/
+	find build/ngspice/examples/xspice1/ -name Makefile -exec rm -f {} \;
+	find build/ngspice/examples/xspice1/ -type f -exec chmod a-x {} \;
+	touch $@
 
 # Build architecture-independent files here.
-binary-indep: build install
+binary-indep: install-indep
 	dh_testdir -i
 	dh_testroot -i
 	dh_installdocs -i
 	dh_install -i --sourcedir=debian/tmp
-	#dh_installinfo -i
 	dh_installman -i
-	dh_installexamples -i -pngspice-doc examples/* -Xtclspice
+	dh_installexamples -i -pngspice-doc build/ngspice/examples/* -Xtclspice
 	dh_installchangelogs ChangeLog -i
-	dh_compress -i
+	dh_compress -i --exclude=.tcl --exclude=.cir
 	dh_fixperms -i
 	dh_installdeb -i
 	dh_gencontrol -i
@@ -142,21 +145,20 @@
 	dh_builddeb -i
 
 # Build architecture-dependent files here.
-binary-arch: build install
+binary-arch: install-arch
 	dh_testdir -a
 	dh_testroot -a
 	dh_installchangelogs ChangeLog -a
 	dh_installdocs -pngspice contrib -XCOPYING -a
 	dh_installdocs
-	dh_installexamples -ptclspice examples/tclspice/* -a
+	dh_installexamples -ptclspice build/tclspice/examples/tclspice/* -a
 	dh_install --sourcedir=debian/tmp -a
 	sed -i "/dependency_libs/ s/'.*'/''/" \
-		"$(CURDIR)/debian/tclspice-dev/usr/lib/tcltk/libspice.la"
-	#dh_installinfo -a
+		"$(CURDIR)/debian/tclspice/usr/lib/tcltk/libspice.la"
 	dh_installman -a
 	dh_link -a
 	dh_strip -a
-	dh_compress -a
+	dh_compress -a --exclude=.tcl --exclude=.cir
 	dh_fixperms -a
 	dh_installdeb -a
 	dh_shlibdeps -a
@@ -173,7 +175,9 @@
 	wget -q http://sourceforge.net/projects/ngspice/files/ng-spice-rework/$$VER/ngspice-$$VER.tar.gz; \
 	tar xzf ngspice-$$VER.tar.gz --exclude=CVS --exclude=xgraph; \
 	rm -f ngspice-$$VER/config.sub ;\
- 	rm -f ngspice-$$VER/config.guess ;\
+	rm -f ngspice-$$VER/config.guess ;\
+	rm -rf ngspice-$$VER/examples/TransImpedanceAmp ;\
+	rm -rf ngspice-$$VER/examples/tclspice\tcl-testbench3 ;\
 	tar czf ngspice_$$VER.orig.tar.gz ngspice-$$VER; \
 	rm -f ngspice-$$VER.tar.gz; \
 	rm -rf ngspice-$$VER; \
