## ngspice 26

=== debian/changelog ===
ngspice (26-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:44:04 +0000

ngspice (26-1) unstable; urgency=low

  * New upstream release (Closes: #706821)
  * Bump standards version to 3.9.5
  * Make VCS field canonical
  * Change tcl version to 8.6
  * Remove part of patch, wish8.4 changed back to wish for tclspice examples
  * Add pdf manual
  * Remove DM-upload line from control
  * Add patch 03_fix_compilation.patch
    (Thanks to Robert Larice)
  * Remove stripping of codemodel files
  * Add -BLT and -ltcl8.6 to configure for tclspice.
    Needed by libtclspice
  * Remove ps manual
  * Remove hardening wrapper and exchange for dpkg-buildflags
  * Add dependency on libfftw3-dev

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 05 Jul 2014 10:09:39 +0000
