=== debian/control ===
--- 
+++ 
@@ -6,14 +6,13 @@
  Andreas Tille <tille@debian.org>
 Build-Depends: debhelper (>= 8), automake, libtool, libxaw7-dev, flex,
  bison, gfortran, libedit-dev, libncurses5-dev,
- texinfo, tcl8.4-dev, tcl8.4, tk8.4-dev, tk8.4, blt-dev
+ texinfo, tcl8.6-dev, tcl8.6, tk8.6-dev, tk8.6, blt-dev
 Build-Depends-Indep: lyx, elyxer, texlive, texlive-latex-extra, texlive-lang-greek,
  texlive-generic-recommended, imagemagick
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://ngspice.sourceforge.net
-Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/ng-spice-rework/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/ng-spice-rework/trunk
-DM-Upload-Allowed: yes
+Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/ng-spice-rework/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/ng-spice-rework/trunk/
 XS-Autobuild: yes
 
 Package: ngspice
@@ -29,7 +28,7 @@
 
 Package: tclspice
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ngspice, blt, tcl8.4, tk8.4
+Depends: ${shlibs:Depends}, ${misc:Depends}, ngspice, blt, tcl8.6, tk8.6
 Replaces: tclspice-dev
 Breaks: tclspice-dev
 Description: NGspice library for Tcl
