=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,11 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
+export CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
+export CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS)
+export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -14,7 +19,8 @@
 CROSS= --build $(DEB_BUILD_GNU_TYPE)
 endif
 
-
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
 config.status: config.status-stamp configure
 config.status-stamp:
@@ -34,6 +40,7 @@
 	cp -f /usr/share/misc/config.guess build/tclspice/config.guess
 	# Configure ngspice
 	(cd build/ngspice;\
+	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" \
 	./configure $(CROSS) \
 		--prefix=/usr \
 		--mandir=\$${prefix}/share/man \
@@ -41,11 +48,10 @@
 		--with-editline=yes \
 		--enable-xspice \
 		--enable-cider \
-		--disable-debug \
-		CFLAGS="$(CFLAGS)")
-	#LDFLAGS="-Wl,-z,defs")
+		--disable-debug)
 	# Configure tclspice
 	(cd build/tclspice;\
+	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS) -lBLT -ltcl8.6" \
 	./configure $(CROSS) \
 		--prefix=/usr \
 		--mandir=\$${prefix}/share/man \
@@ -57,8 +63,7 @@
 		--enable-cider \
 		--disable-debug \
 		--disable-x \
-		--with-tcl=/usr/lib/tcl8.4 \
-		CFLAGS="$(CFLAGS)")
+		--with-tcl=/usr/lib/tcl8.6)
 	touch $@
 
 build: build-arch build-indep
@@ -72,7 +77,8 @@
 build-indep: config.status
 	# Build documentation
 	dh_testdir
-	cd build/manual && lyx --export ps manual.lyx 
+	#cd build/manual && lyx --export ps manual.lyx 
+	cd build/manual && lyx --export pdf2 manual.lyx 
 	cd build/manual && lyx --export html manual.lyx 
 	touch $@
 
@@ -100,11 +106,11 @@
 	# but the ngspice are the correct ones.
 	cd build/tclspice && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install 
 	cd build/ngspice && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
-	# The code model files must be stripped
-ifneq ("nostrip","$(findstring nostrip,$(DEB_BUILD_OPTIONS))")
-	strip $(CURDIR)/debian/tmp/usr/lib/ngspice/*.cm
-	strip $(CURDIR)/debian/tmp/usr/lib/tcltk/ngspice/*.cm
-endif
+	# The code mode were stripped but change since version 25
+	#ifneq ("nostrip","$(findstring nostrip,$(DEB_BUILD_OPTIONS))")
+	#strip $(CURDIR)/debian/tmp/usr/lib/ngspice/*.cm
+	#strip $(CURDIR)/debian/tmp/usr/lib/tcltk/ngspice/*.cm
+	#endif
 
 	# Remove empty dirs:
 	find $(CURDIR)/debian/tclspice -type d -empty -delete
@@ -113,10 +119,12 @@
 install-indep: build-indep
 	# Documentation for ngspice, the same as for tclspice
 	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/ngspice-doc/html
-	cp -a build/manual/manual.html.LyXconv/* \
+	cp -a $(CURDIR)/build/manual/manual.html.LyXconv/* \
 		$(CURDIR)/debian/tmp/usr/share/doc/ngspice-doc/html
-	install -o root -g root -m 644 build/manual/manual.ps \
-		$(CURDIR)/debian/tmp/usr/share/doc/ngspice-doc/ngspice.ps
+	#install -o root -g root -m 644 build/manual/manual.ps \
+	#	$(CURDIR)/debian/tmp/usr/share/doc/ngspice-doc/ngspice.ps
+	install -o root -g root -m 644 build/manual/manual.pdf \
+		$(CURDIR)/debian/tmp/usr/share/doc/ngspice-doc/ngspice.pdf
 	# Removing /usr/share/info directory
 	rm -rf $(CURDIR)/debian/tmp/usr/share/info
 	chmod a-x $(CURDIR)/build/tclspice/examples/tclspice/*/*.tcl
@@ -157,7 +165,7 @@
 		"$(CURDIR)/debian/tclspice/usr/lib/tcltk/libspice.la"
 	dh_installman -a
 	dh_link -a
-	dh_strip -a
+	dh_strip -a --exlude=.cm
 	dh_compress -a --exclude=.tcl --exclude=.cir
 	dh_fixperms -a
 	dh_installdeb -a
