=== debian/watch ===
version=3
http://sf.net/ngspice/ngspice-([0-9].*)\.tar\.gz debian uupdate
