## ngspice 27

=== debian/changelog ===
ngspice (27-1) unstable; urgency=medium

  [ Gudjon I. Gudjonsson ]
  * Change standards version to 4.1.2, no changes needed
  * Add hardening +all
  * Change vcs browser field from http to https
  * Fix copyright file
  * Add patch 03_fix_spelling
  * Change compat level to 9

  [ Andreas Tille ]
  * Moved packaging from SVN to Git
  * Priority: extra -> optional

  [ Gudjon I. Gudjonsson ]
  * Add dependency on texlive-science
  * Add lintian overrides file
  * Change lyx output from html to xhtml to avoid using elyxer

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Tue, 26 Dec 2017 07:26:13 +0100

ngspice (26-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove elyxer from Build-Depends-Indep to allow for the removal of elyxer
    from Debian. The build in HTML export support in LyX improved during the
    last years and is equally usable or even better regarding new LyX file
    formats.
  * Change package priority from extra to optional.

 -- Sven Hoexter <hoexter@debian.org>  Sun, 10 Dec 2017 14:53:20 +0100

ngspice (26-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Run lyx with a temporary -userdir to not rely on $HOME, thanks to
    Johann Klammer.  (Closes: #813119)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 25 Apr 2016 20:50:13 +0200
