=== debian/control ===
Source: ngspice
Section: non-free/electronics
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 8), 
               automake, 
               libtool, 
               libxaw7-dev,
               flex,
               bison, 
               gfortran, 
               libedit-dev, 
               libncurses5-dev,
               texinfo, 
               tcl8.6-dev, 
               tcl8.6, 
               tk8.6-dev, 
               tk8.6, 
               blt-dev
Build-Depends-Indep: lyx, 
                     texlive,
                     texlive-science,
                     texlive-latex-extra, 
                     texlive-lang-greek,
                     texlive-generic-recommended, 
                     imagemagick
Standards-Version: 4.1.2
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ngspice.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/ngspice.git
Homepage: http://ngspice.sourceforge.net
XS-Autobuild: yes

Package: ngspice
Architecture: any
Depends: ${shlibs:Depends}, 
         ${misc:Depends}, 
         dpkg (>= 1.15.4) | install-info
Description: Spice circuit simulator
 NGspice is a mixed-level/mixed-signal circuit simulator.
 Its code is based on three open source software packages:
 Spice3f5, Cider1b1 and Xspice.
 .
 NGspice is part of gEDA project, a full GPL'd suite of 
 Electronic Design Automation tools.

Package: tclspice
Architecture: any
Depends: ${shlibs:Depends}, 
         ${misc:Depends}, 
         ngspice, 
         blt, 
         tcl8.6, 
         tk8.6
Replaces: tclspice-dev
Breaks: tclspice-dev
Description: NGspice library for Tcl
 TclSpice brings NGspice simulation engine into your Tcl-scripts.
 All spice directives are available as Tcl functions and it features
 some new commands that are useful for the integration into the Tcl
 environment. It includes XSpice. 
 GUI is handled by Tk using BLT vectors.

Package: ngspice-doc
Section: non-free/doc
Architecture: all
Depends: ${shlibs:Depends}, 
         ${misc:Depends}
Description: Documentation for the NGspice circuit simulator
 NGspice is a mixed-level/mixed-signal circuit simulator.
 Its code is based on three open source software packages:
 Spice3f5, Cider1b1 and Xspice.
 .
 NGspice is part of gEDA project, a full GPL'd suite of 
 Electronic Design Automation tools.
 .
 This package contains the html, postscript and pdf documentation.
