=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,12 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
+include /usr/share/dpkg/pkg-info.mk
+
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 export CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
 export CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
@@ -33,6 +37,7 @@
 	#cp -f /usr/share/misc/config.sub build/ngspice/doc/config.sub
 	#cp -f /usr/share/misc/config.guess build/ngspice/doc/config.guess
 	cp -a manual build/
+	mkdir -p build/manual/.lyx
 	# Make build dir for tclspice
 	mkdir -p build/tclspice
 	cp -Rl `ls . |grep -v build|grep -v debian` build/tclspice
@@ -77,9 +82,9 @@
 build-indep: config.status
 	# Build documentation
 	dh_testdir
-	#cd build/manual && lyx --export ps manual.lyx 
-	cd build/manual && lyx --export pdf2 manual.lyx 
-	cd build/manual && lyx --export html manual.lyx 
+	#cd build/manual && lyx -userdir ./.lyx -batch --export ps manual.lyx 
+	-cd build/manual && lyx -userdir ./.lyx -batch --export xhtml manual.lyx 
+	-cd build/manual && lyx -userdir ./.lyx -batch --export pdf2 manual.lyx 
 	touch $@
 
 clean:
@@ -119,7 +124,13 @@
 install-indep: build-indep
 	# Documentation for ngspice, the same as for tclspice
 	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/ngspice-doc/html
-	cp -a $(CURDIR)/build/manual/manual.html.LyXconv/* \
+	#cp -a $(CURDIR)/build/manual/manual.html.LyXconv/* \
+	#	$(CURDIR)/debian/tmp/usr/share/doc/ngspice-doc/html
+	cp -a $(CURDIR)/build/manual/Images \
+		$(CURDIR)/debian/tmp/usr/share/doc/ngspice-doc/html
+	cp -a $(CURDIR)/build/manual/*.png \
+		$(CURDIR)/debian/tmp/usr/share/doc/ngspice-doc/html
+	cp -a $(CURDIR)/build/manual/*.xhtml \
 		$(CURDIR)/debian/tmp/usr/share/doc/ngspice-doc/html
 	#install -o root -g root -m 644 build/manual/manual.ps \
 	#	$(CURDIR)/debian/tmp/usr/share/doc/ngspice-doc/ngspice.ps
@@ -165,7 +176,8 @@
 		"$(CURDIR)/debian/tclspice/usr/lib/tcltk/libspice.la"
 	dh_installman -a
 	dh_link -a
-	dh_strip -a --exlude=.cm
+	dh_lintian -a
+	dh_strip -a --exclude=.cm
 	dh_compress -a --exclude=.tcl --exclude=.cir
 	dh_fixperms -a
 	dh_installdeb -a
@@ -178,8 +190,8 @@
 
 #DEB_UPSTREAM_VERSION := $(shell dpkg-parsechangelog | grep '^Version:' | sed -e 's/Version: \(.*\)-\(.*\)\.*/\1/')
 get-orig-source:
-	VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-+~]+).*,\1,p'); \
 	set -e;\
+	VER=$(DEB_VERSION_UPSTREAM);\
 	wget -q http://sourceforge.net/projects/ngspice/files/ng-spice-rework/$$VER/ngspice-$$VER.tar.gz; \
 	tar xzf ngspice-$$VER.tar.gz --exclude=CVS --exclude=xgraph; \
 	rm -f ngspice-$$VER/config.sub ;\
